/*
*********************************************************************************************************
*
*	ģ : TFTҺʾģ
*	ļ : SPFD5420_SPFD5420.c
*	     : V2.2
*	˵     : TFTʾֱΪ240x4003.0PWMڹܡ
*				ֵ֧LCDڲоƬͺУSPFD5420AOTM4001AR61509V
*				оƬķʵַΪ:  0x60000000
*	޸ļ¼ :
*		汾             ˵
*		v1.0    2011-08-21 armfly  ST̼汾 V3.5.0汾
*					a) ȡʼĴĽṹ壬ֱӶ
*		V2.0    2011-10-16 armfly  R61509Vʵͼʾ
*		V2.1    2012-07-06 armfly  RA8875֧4.3
*		V2.2    2012-07-13 armfly  ĽSPFD5420_DispStr֧12ַ;޸SPFD5420_DrawRect,
*								һ
*
*	Copyright (C), 2010-2011,  www.armfly.com
*
*********************************************************************************************************
*/

/*
	ʾ
	TFTһ12864ʾĿ˴ڻͼĻƣƶڻƾֲͼ
	ǷǳЧġTFTָһͼڣȻеĶдԴĲ֮ڣҪCPU
	ڴбĻݡ
*/

#include "stm32f4xx.h"
#include <stdio.h>
#include <string.h>
#include "bsp_tft_lcd.h"
#include "fonts.h"


/*
	 STM32-X2 İ߷

	LCDģ RS       PD13/FSMC_A18
	LCDģ CS Ƭѡ  PD7/FSMC_NE1
	 NWE, NOE, D15~D0 ӶӦFSMC߼ɡ
*/
#define SPFD5420_BASE       ((uint32_t)(0x60000000 | 0x00000000))

#define SPFD5420_REG		*(__IO uint16_t *)(SPFD5420_BASE)
#define SPFD5420_RAM		*(__IO uint16_t *)(SPFD5420_BASE + (1 << 19))

static __IO uint8_t s_RGBChgEn = 0;		/* RGBתʹ, 4001дԴRGBʽдĲͬ */

static void SPFD5420_Delaly10ms(void);
static void SPFD5420_WriteReg(__IO uint16_t _usAddr, uint16_t _usValue);
static uint16_t SPFD5420_ReadReg(__IO uint16_t _usAddr);
static void Init_5420_4001(void);
static void Init_61509(void);
static void SPFD5420_SetDispWin(uint16_t _usX, uint16_t _usY, uint16_t _usHeight, uint16_t _usWidth);
static void SPFD5420_QuitWinMode(void);
static void SPFD5420_SetCursor(uint16_t _usX, uint16_t _usY);
static uint16_t SPFD5420_BGR2RGB(uint16_t _usRGB);

/*
*********************************************************************************************************
*	  : SPFD5420_Delaly10ms
*	˵: ӳٺ׼
*	    :
*	  ֵ: 
*********************************************************************************************************
*/
static void SPFD5420_Delaly10ms(void)
{
	uint16_t i;

	for (i = 0; i < 50000; i++);
}

/*
*********************************************************************************************************
*	  : SPFD5420_WriteReg
*	˵: ޸LCDļĴֵ
*	    :  
*			SPFD5420_Reg Ĵַ;
*			SPFD5420_RegValue : Ĵֵ
*	  ֵ: 
*********************************************************************************************************
*/
static void SPFD5420_WriteReg(__IO uint16_t _usAddr, uint16_t _usValue)
{
	/* Write 16-bit Index, then Write Reg */
	SPFD5420_REG = _usAddr;
	/* Write 16-bit Reg */
	SPFD5420_RAM = _usValue;
}

/*
*********************************************************************************************************
*	  : SPFD5420_ReadReg
*	˵: ȡLCDļĴֵ
*	    :  
*			SPFD5420_Reg Ĵַ;
*			SPFD5420_RegValue : Ĵֵ
*	  ֵ: 
*********************************************************************************************************
*/
static uint16_t SPFD5420_ReadReg(__IO uint16_t _usAddr)
{
	/* Write 16-bit Index (then Read Reg) */
	SPFD5420_REG = _usAddr;
	/* Read 16-bit Reg */
	return (SPFD5420_RAM);
}


/*
*********************************************************************************************************
*	  : SPFD5420_SetDispWin
*	˵: ʾڣ봰ʾģʽTFTоƬִ֧ʾģʽǺһ12864LCD
*	    :  
*		_usX : ˮƽ
*		_usY : ֱ
*		_usHeight: ڸ߶
*		_usWidth : ڿ
*	  ֵ: 
*********************************************************************************************************
*/
static void SPFD5420_SetDispWin(uint16_t _usX, uint16_t _usY, uint16_t _usHeight, uint16_t _usWidth)
{
	uint16_t px, py;
	/*
		240x400Ļ(px,py):
		    R003 = 0x1018                  R003 = 0x1008
		  -------------------          -------------------
		 |(0,0)              |        |(0,0)              |
		 |                   |        |					  |
		 |  ^           ^    |        |   ^           ^   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |  ------>  |    |        |   | <------   |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |                   |        |					  |
		 |                   |        |                   |
		 |      (x=239,y=399)|        |      (x=239,y=399)|
		 |-------------------|        |-------------------|
		 |                   |        |                   |
		  -------------------          -------------------

		հLCDķɨ跽£(ͼ1Ǻ)
		 --------------------------------
		|  |(0,0)                        |
		|  |     --------->              |
		|  |         |                   |
		|  |         |                   |
		|  |         |                   |
		|  |         V                   |
		|  |     --------->              |
		|  |                    (399,239)|
		 --------------------------------
	תϵ
		x = 399 - py;
		y = px;

		py = 399 - x;
		px = y;
	*/

	py = 399 - _usX;
	px = _usY;

	/* ʾ WINDOWS */
	SPFD5420_WriteReg(0x0210, px);						/* ˮƽʼַ */
	SPFD5420_WriteReg(0x0211, px + (_usHeight - 1));		/* ˮƽ */
	SPFD5420_WriteReg(0x0212, py + 1 - _usWidth);		/* ֱʼַ */
	SPFD5420_WriteReg(0x0213, py);						/* ֱַ */

	SPFD5420_SetCursor(_usX, _usY);
}

/*
*********************************************************************************************************
*	  : SPFD5420_SetCursor
*	˵: ùλ
*	    :  _usX : X; _usY: Y
*	  ֵ: 
*********************************************************************************************************
*/
static void SPFD5420_SetCursor(uint16_t _usX, uint16_t _usY)
{
	/*
		pxpy ꣬ xy
		תʽ:
		py = 399 - x;
		px = y;
	*/

	SPFD5420_WriteReg(0x0200, _usY);  		/* px */
	SPFD5420_WriteReg(0x0201, 399 - _usX);	/* py */
}

/*
*********************************************************************************************************
*	  : SPFD5420_BGR2RGB
*	˵: RRRRRGGGGGGBBBBB Ϊ BBBBBGGGGGGRRRRR ʽ
*	    :  RGBɫ
*	  ֵ: תɫ
*********************************************************************************************************
*/
static uint16_t SPFD5420_BGR2RGB(uint16_t _usRGB)
{
	uint16_t  r, g, b, rgb;

	b = (_usRGB >> 0)  & 0x1F;
	g = (_usRGB >> 5)  & 0x3F;
	r = (_usRGB >> 11) & 0x1F;

	rgb = (b<<11) + (g<<5) + (r<<0);

	return( rgb );
}

/*
*********************************************************************************************************
*	  : SPFD5420_QuitWinMode
*	˵: ˳ʾģʽΪȫʾģʽ
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
static void SPFD5420_QuitWinMode(void)
{
	SPFD5420_SetDispWin(0, 0, g_LcdHeight, g_LcdWidth);
}

/*
*********************************************************************************************************
*	  : SPFD5420_ReadID
*	˵: ȡLCDоƬID
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
uint16_t SPFD5420_ReadID(void)
{
	return SPFD5420_ReadReg(0x0000);
}

/*
*********************************************************************************************************
*	  : Init_5420_4001
*	˵: ʼ54204001
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
static void Init_5420_4001(void)
{
	/* ʼLCDдLCDĴ */
	SPFD5420_WriteReg(0x0000, 0x0000);
	SPFD5420_WriteReg(0x0001, 0x0100);
	SPFD5420_WriteReg(0x0002, 0x0100);

	/*
		R003H Ĵܹؼ Entry Mode ɨ跽
		μSPFD5420A.pdf 15ҳ

		240x400Ļ(px,py):
		    R003 = 0x1018                  R003 = 0x1008
		  -------------------          -------------------
		 |(0,0)              |        |(0,0)              |
		 |                   |        |					  |
		 |  ^           ^    |        |   ^           ^   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |  ------>  |    |        |   | <------   |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |  |           |    |        |   |           |   |
		 |                   |        |					  |
		 |                   |        |                   |
		 |      (x=239,y=399)|        |      (x=239,y=399)|
		 |-------------------|        |-------------------|
		 |                   |        |                   |
		  -------------------          -------------------

		հLCDķɨ跽£(ͼ1Ǻ)
		 --------------------------------
		|  |(0,0)                        |
		|  |     --------->              |
		|  |         |                   |
		|  |         |                   |
		|  |         |                   |
		|  |         V                   |
		|  |     --------->              |
		|  |                    (399,239)|
		 --------------------------------

		(x,y) תϵ
		x = 399 - py;
		y = px;

		py = 399 - x;
		px = y;

	*/
	SPFD5420_WriteReg(0x0003, 0x1018); /* 0x1018 1030 */

	SPFD5420_WriteReg(0x0008, 0x0808);
	SPFD5420_WriteReg(0x0009, 0x0001);
	SPFD5420_WriteReg(0x000B, 0x0010);
	SPFD5420_WriteReg(0x000C, 0x0000);
	SPFD5420_WriteReg(0x000F, 0x0000);
	SPFD5420_WriteReg(0x0007, 0x0001);
	SPFD5420_WriteReg(0x0010, 0x0013);
	SPFD5420_WriteReg(0x0011, 0x0501);
	SPFD5420_WriteReg(0x0012, 0x0300);
	SPFD5420_WriteReg(0x0020, 0x021E);
	SPFD5420_WriteReg(0x0021, 0x0202);
	SPFD5420_WriteReg(0x0090, 0x8000);
	SPFD5420_WriteReg(0x0100, 0x17B0);
	SPFD5420_WriteReg(0x0101, 0x0147);
	SPFD5420_WriteReg(0x0102, 0x0135);
	SPFD5420_WriteReg(0x0103, 0x0700);
	SPFD5420_WriteReg(0x0107, 0x0000);
	SPFD5420_WriteReg(0x0110, 0x0001);
	SPFD5420_WriteReg(0x0210, 0x0000);
	SPFD5420_WriteReg(0x0211, 0x00EF);
	SPFD5420_WriteReg(0x0212, 0x0000);
	SPFD5420_WriteReg(0x0213, 0x018F);
	SPFD5420_WriteReg(0x0280, 0x0000);
	SPFD5420_WriteReg(0x0281, 0x0004);
	SPFD5420_WriteReg(0x0282, 0x0000);
	SPFD5420_WriteReg(0x0300, 0x0101);
	SPFD5420_WriteReg(0x0301, 0x0B2C);
	SPFD5420_WriteReg(0x0302, 0x1030);
	SPFD5420_WriteReg(0x0303, 0x3010);
	SPFD5420_WriteReg(0x0304, 0x2C0B);
	SPFD5420_WriteReg(0x0305, 0x0101);
	SPFD5420_WriteReg(0x0306, 0x0807);
	SPFD5420_WriteReg(0x0307, 0x0708);
	SPFD5420_WriteReg(0x0308, 0x0107);
	SPFD5420_WriteReg(0x0309, 0x0105);
	SPFD5420_WriteReg(0x030A, 0x0F04);
	SPFD5420_WriteReg(0x030B, 0x0F00);
	SPFD5420_WriteReg(0x030C, 0x000F);
	SPFD5420_WriteReg(0x030D, 0x040F);
	SPFD5420_WriteReg(0x030E, 0x0300);
	SPFD5420_WriteReg(0x030F, 0x0701);
	SPFD5420_WriteReg(0x0400, 0x3500);
	SPFD5420_WriteReg(0x0401, 0x0001);
	SPFD5420_WriteReg(0x0404, 0x0000);
	SPFD5420_WriteReg(0x0500, 0x0000);
	SPFD5420_WriteReg(0x0501, 0x0000);
	SPFD5420_WriteReg(0x0502, 0x0000);
	SPFD5420_WriteReg(0x0503, 0x0000);
	SPFD5420_WriteReg(0x0504, 0x0000);
	SPFD5420_WriteReg(0x0505, 0x0000);
	SPFD5420_WriteReg(0x0600, 0x0000);
	SPFD5420_WriteReg(0x0606, 0x0000);
	SPFD5420_WriteReg(0x06F0, 0x0000);
	SPFD5420_WriteReg(0x07F0, 0x5420);
	SPFD5420_WriteReg(0x07DE, 0x0000);
	SPFD5420_WriteReg(0x07F2, 0x00DF);
	SPFD5420_WriteReg(0x07F3, 0x0810);
	SPFD5420_WriteReg(0x07F4, 0x0077);
	SPFD5420_WriteReg(0x07F5, 0x0021);
	SPFD5420_WriteReg(0x07F0, 0x0000);
	SPFD5420_WriteReg(0x0007, 0x0173);

	/* ʾ WINDOWS */
	SPFD5420_WriteReg(0x0210, 0);	/* ˮƽʼַ */
	SPFD5420_WriteReg(0x0211, 239);	/* ˮƽ */
	SPFD5420_WriteReg(0x0212, 0);	/* ֱʼַ */
	SPFD5420_WriteReg(0x0213, 399);	/* ֱַ */
}

/*
*********************************************************************************************************
*	  : Init_61509
*	˵: ʼ61509
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
static void Init_61509(void)
{
	SPFD5420_WriteReg(0x000,0x0000);
	SPFD5420_WriteReg(0x000,0x0000);
	SPFD5420_WriteReg(0x000,0x0000);
	SPFD5420_WriteReg(0x000,0x0000);
	SPFD5420_Delaly10ms();

	SPFD5420_WriteReg(0x008,0x0808);
	SPFD5420_WriteReg(0x010,0x0010);
	SPFD5420_WriteReg(0x400,0x6200);

	SPFD5420_WriteReg(0x300,0x0c06);	/* GAMMA */
	SPFD5420_WriteReg(0x301,0x9d0f);
	SPFD5420_WriteReg(0x302,0x0b05);
	SPFD5420_WriteReg(0x303,0x1217);
	SPFD5420_WriteReg(0x304,0x3333);
	SPFD5420_WriteReg(0x305,0x1712);
	SPFD5420_WriteReg(0x306,0x950b);
	SPFD5420_WriteReg(0x307,0x0f0d);
	SPFD5420_WriteReg(0x308,0x060c);
	SPFD5420_WriteReg(0x309,0x0000);

	SPFD5420_WriteReg(0x011,0x0202);
	SPFD5420_WriteReg(0x012,0x0101);
	SPFD5420_WriteReg(0x013,0x0001);

	SPFD5420_WriteReg(0x007,0x0001);
	SPFD5420_WriteReg(0x100,0x0730);	/* BT,AP 0x0330*/
	SPFD5420_WriteReg(0x101,0x0237);	/* DC0,DC1,VC */
	SPFD5420_WriteReg(0x103,0x2b00);	/* VDV	//0x0f00 */
	SPFD5420_WriteReg(0x280,0x4000);	/* VCM */
	SPFD5420_WriteReg(0x102,0x81b0);	/* VRH,VCMR,PSON,PON */
	SPFD5420_Delaly10ms();

	SPFD5420_WriteReg(0x001,0x0100);
	SPFD5420_WriteReg(0x002,0x0100);
	/* SPFD5420_WriteReg(0x003,0x1030); */
	SPFD5420_WriteReg(0x003,0x1018);
	SPFD5420_WriteReg(0x009,0x0001);

	SPFD5420_WriteReg(0x0C,0x0000);	/* MCU interface  */
	/*
		SPFD5420_WriteReg(0x0C,0x0110);	//RGB interface 18bit
		SPFD5420_WriteReg(0x0C,0x0111);	//RGB interface 16bit
		SPFD5420_WriteReg(0x0C,0x0020);	//VSYNC interface
	*/

	SPFD5420_WriteReg(0x090,0x8000);
	SPFD5420_WriteReg(0x00f,0x0000);

	SPFD5420_WriteReg(0x210,0x0000);
	SPFD5420_WriteReg(0x211,0x00ef);
	SPFD5420_WriteReg(0x212,0x0000);
	SPFD5420_WriteReg(0x213,0x018f);

	SPFD5420_WriteReg(0x500,0x0000);
	SPFD5420_WriteReg(0x501,0x0000);
	SPFD5420_WriteReg(0x502,0x005f);
	SPFD5420_WriteReg(0x401,0x0001);
	SPFD5420_WriteReg(0x404,0x0000);
	SPFD5420_Delaly10ms();
	SPFD5420_WriteReg(0x007,0x0100);
	SPFD5420_Delaly10ms();
	SPFD5420_WriteReg(0x200,0x0000);
	SPFD5420_WriteReg(0x201,0x0000);
}

/*
*********************************************************************************************************
*	  : SPFD5420_InitHard
*	˵: ʼLCD
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_InitHard(void)
{
	uint16_t id;

	id = SPFD5420_ReadReg(0x0000);  	/* ȡLCDоƬID */

	if ((id == 0x5420) || (id == 0x5520))	/* 40015420ͬ4001ԴRGBʱҪת5420 */
	{
		Init_5420_4001();	/* ʼ54204001Ӳ */

		/* δʶ40015420 */
		{
			uint16_t dummy;

			SPFD5420_WriteReg(0x0200, 0);
			SPFD5420_WriteReg(0x0201, 0);

			SPFD5420_REG = 0x0202;
			SPFD5420_RAM = 0x1234;		/* дһ */

			SPFD5420_WriteReg(0x0200, 0);
			SPFD5420_WriteReg(0x0201, 0);
			SPFD5420_REG = 0x0202;
			dummy = SPFD5420_RAM; 		/* ɫֵ */
			if (dummy == 0x1234)
			{
				s_RGBChgEn = 0;

				g_ChipID = IC_5420;
			}
			else
			{
				s_RGBChgEn = 1;		/* صĺдĲͬҪRGBת, ֻӰȡصĺ */

				g_ChipID = IC_4001;
			}
			g_LcdHeight = LCD_30_HEIGHT;
			g_LcdWidth = LCD_30_WIDTH;
		}
	}
	else if (id == 0xB509)
	{
		Init_61509();		/* ʼ61509Ӳ */

		s_RGBChgEn = 1;			/* صĺдĲͬҪRGBת, ֻӰȡصĺ */

		g_ChipID = IC_61509;
		g_LcdHeight = LCD_30_HEIGHT;
		g_LcdWidth = LCD_30_WIDTH;
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_DispOn
*	˵: ʾ
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DispOn(void)
{
	if (g_ChipID == IC_61509)
	{
		SPFD5420_WriteReg(0x007,0x0100);
	}
	else	/* IC_4001 */
	{
		SPFD5420_WriteReg(7, 0x0173); /* 262KɫҴʾ */
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_DispOff
*	˵: رʾ
*	    :  
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DispOff(void)
{
	SPFD5420_WriteReg(7, 0x0000);
}

/*
*********************************************************************************************************
*	  : SPFD5420_ClrScr
*	˵: ɫֵ
*	    :  _usColor : ɫ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_ClrScr(uint16_t _usColor)
{
	uint32_t i;

	SPFD5420_SetCursor(0, 0);		/* ùλ */

	SPFD5420_REG = 0x202; 			/* ׼дԴ */

	for (i = 0; i < g_LcdHeight * g_LcdWidth; i++)
	{
		SPFD5420_RAM = _usColor;
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_PutPixel
*	˵: 1
*	    :  
*			_usX,_usY : 
*			_usColor  ɫ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_PutPixel(uint16_t _usX, uint16_t _usY, uint16_t _usColor)
{
	SPFD5420_SetCursor(_usX, _usY);	/* ùλ */

	/* дԴ */
	SPFD5420_REG = 0x202;
	/* Write 16-bit GRAM Reg */
	SPFD5420_RAM = _usColor;
}

/*
*********************************************************************************************************
*	  : SPFD5420_GetPixel
*	˵: ȡ1
*	    :  
*			_usX,_usY : 
*			_usColor  ɫ
*	  ֵ: RGBɫֵ
*********************************************************************************************************
*/
uint16_t SPFD5420_GetPixel(uint16_t _usX, uint16_t _usY)
{
	uint16_t usRGB;

	SPFD5420_SetCursor(_usX, _usY);	/* ùλ */

	{
		/* ׼дԴ */
		SPFD5420_REG = 0x202;

		usRGB = SPFD5420_RAM;

		/*  16-bit GRAM Reg */
		if (s_RGBChgEn == 1)
		{
			usRGB = SPFD5420_BGR2RGB(usRGB);
		}
	}

	return usRGB;
}

/*
*********************************************************************************************************
*	  : SPFD5420_DrawLine
*	˵:  Bresenham 㷨2仭һֱߡ
*	    :  
*			_usX1, _usY1 ʼ
*			_usX2, _usY2 ֹY
*			_usColor     ɫ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawLine(uint16_t _usX1 , uint16_t _usY1 , uint16_t _usX2 , uint16_t _usY2 , uint16_t _usColor)
{
	int32_t dx , dy ;
	int32_t tx , ty ;
	int32_t inc1 , inc2 ;
	int32_t d , iTag ;
	int32_t x , y ;

	/*  Bresenham 㷨2仭һֱ */

	SPFD5420_PutPixel(_usX1 , _usY1 , _usColor);

	/* غϣĶ*/
	if ( _usX1 == _usX2 && _usY1 == _usY2 )
	{
		return;
	}

	iTag = 0 ;
	/* dx = abs ( _usX2 - _usX1 ); */
	if (_usX2 >= _usX1)
	{
		dx = _usX2 - _usX1;
	}
	else
	{
		dx = _usX1 - _usX2;
	}

	/* dy = abs ( _usY2 - _usY1 ); */
	if (_usY2 >= _usY1)
	{
		dy = _usY2 - _usY1;
	}
	else
	{
		dy = _usY1 - _usY2;
	}

	if ( dx < dy )   /*dyΪƳ򽻻ݺꡣ*/
	{
		uint16_t temp;

		iTag = 1 ;
		temp = _usX1; _usX1 = _usY1; _usY1 = temp;
		temp = _usX2; _usX2 = _usY2; _usY2 = temp;
		temp = dx; dx = dy; dy = temp;
	}
	tx = _usX2 > _usX1 ? 1 : -1 ;    /* ȷ1Ǽ1 */
	ty = _usY2 > _usY1 ? 1 : -1 ;
	x = _usX1 ;
	y = _usY1 ;
	inc1 = 2 * dy ;
	inc2 = 2 * ( dy - dx );
	d = inc1 - dx ;
	while ( x != _usX2 )     /* ѭ */
	{
		if ( d < 0 )
		{
			d += inc1 ;
		}
		else
		{
			y += ty ;
			d += inc2 ;
		}
		if ( iTag )
		{
			SPFD5420_PutPixel ( y , x , _usColor) ;
		}
		else
		{
			SPFD5420_PutPixel ( x , y , _usColor) ;
		}
		x += tx ;
	}
}


/*
*********************************************************************************************************
*	  : SPFD5420_DrawHLine
*	˵: һˮƽ ҪUCGUIĽӿں
*	    :  _usX1    ʼX
*			  _usY1    ˮƽߵY
*			  _usX2    X
*			  _usColor : ɫ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawHLine(uint16_t _usX1 , uint16_t _usY1 , uint16_t _usX2 , uint16_t _usColor)
{
	uint16_t i;

	/* չ SPFD5420_SetCursor(_usX1, _usY1) ִЧ */
	/*
		pxpy ꣬ xy
		תʽ:
		py = 399 - x;
		px = y;
	*/
	SPFD5420_WriteReg(0x0200, _usY1);  		/* px */
	SPFD5420_WriteReg(0x0201, 399 - _usX1);	/* py */

	/* дԴ */
	SPFD5420_REG = 0x202;
	for (i = 0; i < _usX2 - _usX1 + 1; i++)
	{
		SPFD5420_RAM = _usColor;
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_DrawHColorLine
*	˵: һɫˮƽ ҪUCGUIĽӿں
*	    :  _usX1    ʼX
*			  _usY1    ˮƽߵY
*			  _usWidth ֱߵĿ
*			  _pColor : ɫ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawHColorLine(uint16_t _usX1 , uint16_t _usY1, uint16_t _usWidth, const uint16_t *_pColor)
{
	uint16_t i;

	/* չ SPFD5420_SetCursor(_usX1, _usY1) ִЧ */
	/*
		pxpy ꣬ xy
		תʽ:
		py = 399 - x;
		px = y;
	*/
	SPFD5420_WriteReg(0x0200, _usY1);  		/* px */
	SPFD5420_WriteReg(0x0201, 399 - _usX1);	/* py */

	/* дԴ */
	SPFD5420_REG = 0x202;
	for (i = 0; i < _usWidth; i++)
	{
		SPFD5420_RAM = *_pColor++;
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_DrawHTransLine
*	˵: һɫ͸ˮƽ ҪUCGUIĽӿں ɫֵΪ0ʾ͸ɫ
*	    :  _usX1    ʼX
*			  _usY1    ˮƽߵY
*			  _usWidth ֱߵĿ
*			  _pColor : ɫ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawHTransLine(uint16_t _usX1 , uint16_t _usY1, uint16_t _usWidth, const uint16_t *_pColor)
{
	uint16_t i, j;
	uint16_t Index;

	/* չ SPFD5420_SetCursor(_usX1, _usY1) ִЧ */
	/*
		pxpy ꣬ xy
		תʽ:
		py = 399 - x;
		px = y;
	*/
	SPFD5420_WriteReg(0x0200, _usY1);  		/* px */
	SPFD5420_WriteReg(0x0201, 399 - _usX1);	/* py */

	/* дԴ */
	SPFD5420_REG = 0x202;
	for (i = 0,j = 0; i < _usWidth; i++, j++)
	{
		Index = *_pColor++;
	    if (Index)
        {
			 SPFD5420_RAM = Index;
		}
		else
		{
			SPFD5420_SetCursor(_usX1 + j, _usY1);
			SPFD5420_REG = 0x202;
			SPFD5420_RAM = Index;
		}
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_DrawRect
*	˵: ˮƽõľΡ
*	    :  
*			_usX,_usYϽǵ
*			_usHeight εĸ߶
*			_usWidth  εĿ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawRect(uint16_t _usX, uint16_t _usY, uint8_t _usHeight, uint16_t _usWidth, uint16_t _usColor)
{
	/*
	 ---------------->---
	|(_usX_usY)        |
	V                    V  _usHeight
	|                    |
	 ---------------->---
		  _usWidth
	*/

	SPFD5420_DrawLine(_usX, _usY, _usX + _usWidth - 1, _usY, _usColor);	/*  */
	SPFD5420_DrawLine(_usX, _usY + _usHeight - 1, _usX + _usWidth - 1, _usY + _usHeight - 1, _usColor);	/*  */

	SPFD5420_DrawLine(_usX, _usY, _usX, _usY + _usHeight - 1, _usColor);	/*  */
	SPFD5420_DrawLine(_usX + _usWidth - 1, _usY, _usX + _usWidth - 1, _usY + _usHeight, _usColor);	/*  */
}

/*
*********************************************************************************************************
*	  : SPFD5420_DrawCircle
*	˵: һԲʿΪ1
*	    :  
*			_usX,_usY  Բĵ
*			_usRadius  Բİ뾶
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawCircle(uint16_t _usX, uint16_t _usY, uint16_t _usRadius, uint16_t _usColor)
{
	int32_t  D;			/* Decision Variable */
	uint32_t  CurX;		/* ǰ X ֵ */
	uint32_t  CurY;		/* ǰ Y ֵ */

	D = 3 - (_usRadius << 1);
	CurX = 0;
	CurY = _usRadius;

	while (CurX <= CurY)
	{
		SPFD5420_PutPixel(_usX + CurX, _usY + CurY, _usColor);
		SPFD5420_PutPixel(_usX + CurX, _usY - CurY, _usColor);
		SPFD5420_PutPixel(_usX - CurX, _usY + CurY, _usColor);
		SPFD5420_PutPixel(_usX - CurX, _usY - CurY, _usColor);
		SPFD5420_PutPixel(_usX + CurY, _usY + CurX, _usColor);
		SPFD5420_PutPixel(_usX + CurY, _usY - CurX, _usColor);
		SPFD5420_PutPixel(_usX - CurY, _usY + CurX, _usColor);
		SPFD5420_PutPixel(_usX - CurY, _usY - CurX, _usColor);

		if (D < 0)
		{
			D += (CurX << 2) + 6;
		}
		else
		{
			D += ((CurX - CurY) << 2) + 10;
			CurY--;
		}
		CurX++;
	}
}

/*
*********************************************************************************************************
*	  : SPFD5420_DrawBMP
*	˵: LCDʾһBMPλͼλͼɨ򣺴ңϵ
*	    :  
*			_usX, _usY : ͼƬ
*			_usHeight  ͼƬ߶
*			_usWidth   ͼƬ
*			_ptr       ͼƬָ
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_DrawBMP(uint16_t _usX, uint16_t _usY, uint16_t _usHeight, uint16_t _usWidth, uint16_t *_ptr)
{
	uint32_t index = 0;
	const uint16_t *p;

	/* ͼƬλúʹС ʾ */
	SPFD5420_SetDispWin(_usX, _usY, _usHeight, _usWidth);

	p = _ptr;
	for (index = 0; index < _usHeight * _usWidth; index++)
	{
		SPFD5420_PutPixel(_usX, _usY, *p++);
	}

	/* ˳ڻͼģʽ */
	SPFD5420_QuitWinMode();
}

/*
*********************************************************************************************************
*	  : SetBackLight_byMCU
*	˵: ʼLCDGPIO,ΪPWMģʽ
*			رձʱCPU IOΪģʽƼΪ͵ƽ)TIM3ر ʡ
*	    :  _bright ȣ0255
*	  ֵ: 
*********************************************************************************************************
*/
void SPFD5420_SetBackLight(uint8_t _bright)
{
#if 1	/* STM32-X2 ʹPC6 PWM,  ڲTIM8CH1ͨ */
	GPIO_InitTypeDef GPIO_InitStructure;
	TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;
	TIM_OCInitTypeDef  TIM_OCInitStructure;

	/* 1GPIO ʱ	*/
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOC, ENABLE);

	if (_bright == 0)
	{
		/* ñGPIOΪģʽ */
		GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
		GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
		GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
		GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_NOPULL;

		GPIO_Init(GPIOC, &GPIO_InitStructure);

		/* رTIM8 */
		TIM_Cmd(TIM8, DISABLE);
		return;
	}
	else if (_bright == BRIGHT_MAX)	/*  */
	{
		/* ñGPIOΪģʽ */
		GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
		GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
		GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
		GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_NOPULL;

		GPIO_SetBits(GPIOC, GPIO_Pin_1);

		/* رTIM8 */
		TIM_Cmd(TIM8, DISABLE);
		return;
	}

	/* ñGPIOΪģʽ */
	GPIO_PinAFConfig(GPIOC, GPIO_PinSource6, GPIO_AF_TIM8);

	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_NOPULL;

	/* ʹTIM8ʱ */
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_TIM8, ENABLE);

	/*
		TIM3 : 1·PWMź;
		TIM3CLK = 72 MHz, Prescaler = 0(Ƶ), TIM3 counter clock = 72 MHz
		㹫ʽ
		PWMƵ = TIM3 counter clock /(ARR + 1)

		Ϊ100Hz

		TIM3CLKԤƵôܵõ100HzƵ
		÷Ƶ = 1000 ô  TIM3 counter clock = 72KHz
		TIM_Period = 720 - 1;
		Ƶ²
	 */
	TIM_TimeBaseStructure.TIM_Period = 720 - 1;	/* TIM_Period = TIM3 ARR Register */
	TIM_TimeBaseStructure.TIM_Prescaler = 0;
	TIM_TimeBaseStructure.TIM_ClockDivision = 0;
	TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;

	TIM_TimeBaseInit(TIM8, &TIM_TimeBaseStructure);

	/* PWM1 Mode configuration: Channel1 */
	TIM_OCInitStructure.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitStructure.TIM_OutputState = TIM_OutputState_Enable;
	/*
		_bright = 1 ʱ, TIM_Pulse = 1
		_bright = 255 ʱ, TIM_Pulse = TIM_Period
	*/
	TIM_OCInitStructure.TIM_Pulse = (TIM_TimeBaseStructure.TIM_Period * _bright) / BRIGHT_MAX;	/* ıռձ */

	TIM_OCInitStructure.TIM_OCPolarity = TIM_OCPolarity_High;
	TIM_OC1Init(TIM8, &TIM_OCInitStructure);
	TIM_OC1PreloadConfig(TIM8, TIM_OCPreload_Enable);

	TIM_ARRPreloadConfig(TIM8, ENABLE);

	/* ʹ TIM8 ʱ */
	TIM_Cmd(TIM8, ENABLE);

	/* 仰TIM1TIM8ǱģTIM2-TIM6򲻱Ҫ */
	TIM_CtrlPWMOutputs(TIM8, ENABLE);

#else	/* STM32-V2, STM32-V3 ʹ PB1 PWMźŽб */

	GPIO_InitTypeDef GPIO_InitStructure;
	TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;
	TIM_OCInitTypeDef  TIM_OCInitStructure;

	/* 1GPIOB RCC_APB2Periph_AFIO ʱ	*/
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB | RCC_APB2Periph_AFIO, ENABLE);

	if (_bright == 0)
	{
		/* ñGPIOΪģʽ */
		GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;
		GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
		GPIO_Init(GPIOB, &GPIO_InitStructure);

		/* رTIM3 */
		TIM_Cmd(TIM3, DISABLE);
		return;
	}
	else if (_bright == BRIGHT_MAX)	/*  */
	{
		/* ñGPIOΪģʽ */
		GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
		GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
		GPIO_Init(GPIOB, &GPIO_InitStructure);

		GPIO_SetBits(GPIOB, GPIO_Pin_1);

		/* رTIM3 */
		TIM_Cmd(TIM3, DISABLE);
		return;
	}

	/* ñGPIOΪģʽ */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_Init(GPIOB, &GPIO_InitStructure);

	/* ʹTIM3ʱ */
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM3, ENABLE);

	/*
		TIM3 : 1·PWMź;
		TIM3CLK = 72 MHz, Prescaler = 0(Ƶ), TIM3 counter clock = 72 MHz
		㹫ʽ
		PWMƵ = TIM3 counter clock /(ARR + 1)

		Ϊ100Hz

		TIM3CLKԤƵôܵõ100HzƵ
		÷Ƶ = 1000 ô  TIM3 counter clock = 72KHz
		TIM_Period = 720 - 1;
		Ƶ²
	 */
	TIM_TimeBaseStructure.TIM_Period = 720 - 1;	/* TIM_Period = TIM3 ARR Register */
	TIM_TimeBaseStructure.TIM_Prescaler = 0;
	TIM_TimeBaseStructure.TIM_ClockDivision = 0;
	TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;

	TIM_TimeBaseInit(TIM3, &TIM_TimeBaseStructure);

	/* PWM1 Mode configuration: Channel1 */
	TIM_OCInitStructure.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitStructure.TIM_OutputState = TIM_OutputState_Enable;
	/*
		_bright = 1 ʱ, TIM_Pulse = 1
		_bright = 255 ʱ, TIM_Pulse = TIM_Period
	*/
	TIM_OCInitStructure.TIM_Pulse = (TIM_TimeBaseStructure.TIM_Period * _bright) / BRIGHT_MAX;	/* ıռձ */

	TIM_OCInitStructure.TIM_OCPolarity = TIM_OCPolarity_High;
	TIM_OC4Init(TIM3, &TIM_OCInitStructure);
	TIM_OC4PreloadConfig(TIM3, TIM_OCPreload_Enable);

	TIM_ARRPreloadConfig(TIM3, ENABLE);

	/* ʹ TIM3 ʱ */
	TIM_Cmd(TIM3, ENABLE);
#endif
}

/*****************************  www.armfly.com (END OF FILE) *********************************/
